Holger's Java API

## com.antelmann.sql
Class DriverWrapper

    java.lang.Object
      com.antelmann.sql.DriverWrapper

All Implemented Interfaces:
  Wrapped<Driver>, Driver

    public class DriverWrapper

extends Object
implements Driver, Wrapped<Driver>

wraps a given driver (that is potentially loaded from a URLClassLoader) so that it can be loaded from the system class loader.

Since:
  14.08.2014, 22:52:06
Author:
  holger
See Also:
  `Connector.loadDriverClass(String, boolean, java.net.URL...)`

Constructor Summary
`DriverWrapper(Driver driver)`

Method Summary
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`boolean` `jdbcCompliant()`
`Driver` `unwrap()` returns the embedded instance that this wrapper encloses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverWrapper

    public DriverWrapper(Driver driver)

Method Detail

### unwrap

    public Driver unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<Driver>`

### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

  Specified by:
    `connect` in interface `Driver`
  Throws:
    `SQLException`

### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

  Specified by:
    `acceptsURL` in interface `Driver`
  Throws:
    `SQLException`

### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

  Specified by:
    `getPropertyInfo` in interface `Driver`
  Throws:
    `SQLException`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `Driver`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `Driver`

### jdbcCompliant

    public boolean jdbcCompliant()

  Specified by:
    `jdbcCompliant` in interface `Driver`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads